== Why is this an issue?

include::../description.adoc[]

include::../noncompliant.adoc[]

=== Compliant solution

[source,java]
----
static final int BEST_NUMBER = 12;
----

=== Exceptions

The following types of method are ignored:

* methods that override a method.
* methods that are not final (not having the ``++final++``, ``++private++`` or ``++static++`` modifier and not in a record or a final class).
* methods with annotations, such as ``++@Override++`` or Spring's ``++@RequestMapping++``.

ifdef::env-github,rspecator-view[]

'''
== Implementation Specification
(visible only on this page)

include::../message.adoc[]

include::../highlighting.adoc[]

'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]

endif::env-github,rspecator-view[]
